Package ghidra.pty.windows

# Class ConPtyEndpoint

java.lang.Object
ghidra.pty.windows.ConPtyEndpoint

All Implemented Interfaces:
  `PtyEndpoint`

Direct Known Subclasses:
  `ConPtyChild`, `ConPtyParent`

public class ConPtyEndpoint extends Object implements PtyEndpoint

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final InputStream`
  `inputStream`
  `protected final OutputStream`
  `outputStream`
  `protected final PseudoConsoleHandle`
  `pseudoConsoleHandle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConPtyEndpoint(Handle writeHandle, Handle readHandle, PseudoConsoleHandle pseudoConsoleHandle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getInputStream()`
  Get the input stream for this end of the pty
  `OutputStream`
  `getOutputStream()`
  Get the output stream for this end of the pty

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### inputStream

    protected final InputStream inputStream

  - ### outputStream

    protected final OutputStream outputStream

  - ### pseudoConsoleHandle

    protected final PseudoConsoleHandle pseudoConsoleHandle

- ## Constructor Details

  - ### ConPtyEndpoint

    public ConPtyEndpoint(Handle writeHandle, Handle readHandle, PseudoConsoleHandle pseudoConsoleHandle)

- ## Method Details

  - ### getOutputStream

    public OutputStream getOutputStream()
    Description copied from interface: `PtyEndpoint`
    Get the output stream for this end of the pty

    Writes to this stream arrive on the input stream for the opposite end, subject to the terminal's line discipline.

    Specified by:
      `getOutputStream` in interface `PtyEndpoint`
    Returns:
      the output stream

  - ### getInputStream

    public InputStream getInputStream()
    Description copied from interface: `PtyEndpoint`
    Get the input stream for this end of the pty

    Writes to the output stream of the opposite end arrive here, subject to the terminal's line discipline.

    Specified by:
      `getInputStream` in interface `PtyEndpoint`
    Returns:
      the input stream